
 <?php

    require_once ('../inventario/conexion.php');
 
       
     $Serialcpu = $_POST["Serialcpu"];
     $IP = $_POST['IP'];
     $NombreEquipo = $_POST['NombreEquipo'];
     $procesador = $_POST['procesador'];
     $marcacpu =$_POST['marcacpu'];
     $SistemaOperativo =$_POST['SistemaOperativo']; 
    $discoduro = $_POST['discoduro']; 
     $estadocpu = $_POST['estadocpu']; 
     $memoria = $_POST['memoria'];
     $obsevarcion = $_POST['obsevarcion'];
   
      
    $objconexion = new conexion();

    if(!empty($Serialcpu) && !empty($IP) && !empty($NombreEquipo) && !empty($procesador) && !empty($marcacpu) && !empty($SistemaOperativo) && !empty($discoduro) && !empty($estadocpu) && !empty($memoria)) 
   // echo $return;
{
   

    $sentenciaupdate = "UPDATE cpu SET Serial_cpu='$Serialcpu', IP='$IP', nombre_equipo='$NombreEquipo', Procesador='$procesador', marca_cpu='$marcacpu', sistema_operativo='$SistemaOperativo', disco_duro='$discoduro', estado_cpu='$estadocpu', memoria='$memoria', fecha_ingreso = now()
        WHERE Serial_cpu='$Serialcpu'"; 

   //echo $sentenciaupdate ;

  //$objconexion -> consultararraynum($sentenciaupdate);
   $return = $objconexion->Ejecutar($sentenciaupdate);
   //echo "condicional";
    if($return==1)

        {
                  echo '<script language="javascript" type="text/javascript">alert("Se Actualisaron los datos en la base de datos");
                  window.location ="ingresarcpu.php";
                  </script>';
        }
        else
        {
            echo '<script language="javascript" type="text/javascript">alert("error en la Actualizacion");
                  window.location ="ingresarcpu.php";
                  </script>';
         }
}

if(!empty($Serialcpu) && !empty($marcacpu)&& !empty($memoria) && !empty($procesador) && !empty($SistemaOperativo) && !empty($discoduro) && !empty($NombreEquipo) && !empty($IP) && !empty($estadocpu))
{

$SentenciaInsert2 = "INSERT INTO historial_cpu VALUES(null,'".$Serialcpu."','".$marcacpu."','".$memoria."','".$procesador."','".$SistemaOperativo."','".$discoduro."','".$NombreEquipo."','".$IP."','".$estadocpu."',null,now(),'".$obsevarcion."')";


  $return = $objconexion->Ejecutar($SentenciaInsert2);

  //echo $SentenciaInsert;


    if($return==1 )
    {
        echo '<script language="javascript">alert("Se guardaron los datos en la base de datos")
              window.location ="ingresarcpu.php";
            </script>';
        }
      else
      {
        echo '<script language="javascript">alert("error en la insercion")
              window.location ="ingresarcpu.php";
              </script>';
         }
}

?>